apiVersion: apps/v1
kind: Deployment
metadata:
  name: calendars-depl
spec:
  replicas: 1
  selector:
    matchLabels:
      app: calendars
  template:
    metadata:
      labels:
        app: calendars
    spec:
      containers:
        - name: calendars
          image: fubz/calendars
          imagePullPolicy: IfNotPresent
          env:
            - name: NATS_CLIENT_ID
              valueFrom:
                fieldRef:
                  fieldPath: metadata.name
            - name: NATS_URL
              value: 'http://nats-srv:4222'
            - name: NATS_CLUSTER_ID
              value: 'lifestack'
            - name: MONGO_URI
              value: 'mongodb://calendars-mongo-srv:27017/calendars'
            - name: JWT_KEY
              valueFrom:
                secretKeyRef:
                  key: JWT_KEY
                  name: jwt-secret
---
apiVersion: v1
kind: Service
metadata:
  name: calendars-srv
spec:
  selector:
    app: calendars
  ports:
    - port: 5000
      targetPort: 5000
      protocol: TCP
      name: calendars